Skip to main content
POST
/
v1
/
merchants
/
{merchantId}
/
pix
/
keys
Create a new PIX key for a specific merchant
curl --request POST \
  --url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "provider": "CELCOIN",
  "key_type": "EVP",
  "primary": false
}
'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys"

payload = {
"provider": "CELCOIN",
"key_type": "EVP",
"primary": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'CELCOIN', key_type: 'EVP', primary: false})
};

fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
  "affiliation_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794",
  "company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
  "key_type": "EVP",
  "key": "<string>",
  "primary": true,
  "status": "ACTIVE"
}
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Path Parameters

merchantId
string
required

The merchant ID

Body

application/json
provider
enum<string>
required

The provider name (accepts lowercase and uppercase, returns uppercase)

Available options:
CELCOIN,
RINNE,
CAPPTA
Minimum string length: 1
Example:

"CELCOIN"

key_type
enum<string> | null
required

The Pix key type:

  • EVP: Random key generated by provider (key field should not be provided)
Available options:
EVP
primary
boolean
default:false

Whether the Pix key should be set as the primary pix key for the company

Example:

false

Response

PIX key created successfully

id
string
required

Pix key unique identifier

Example:

"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"

affiliation_id
string
required

Affiliation ID associated with this PIX key

Example:

"a3dbd0c2-9f79-4f86-8caa-47779b3f2794"

company_id
string
required

Company ID that owns this PIX key

Example:

"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"

key_type
enum<string>
required

The Pix key type

Available options:
EVP
Example:

"EVP"

key
string | null
required

The Pix key value (null for EVP keys before activation)

primary
boolean
required

Whether this is the primary PIX key for the company

Example:

true

status
enum<string>
required

The current status of the PIX key:

  • ACTIVE: Key is active and can be used
  • INACTIVE: Key is inactive
  • PENDING_DELETION: Key is marked for deletion
  • DELETED: Key has been deleted
Available options:
ACTIVE,
INACTIVE,
PENDING_DELETION,
DELETED
Example:

"ACTIVE"